import axios from "@/utils/request";


export function getListTree(query) {
  return axios({
    url: "/udiwms/basic/product/category/getTree",
    method: "get",
    params: query
  });
}

export function getOneName(query) {
  return axios({
    url: "/udiwms/basic/product/category/getOneName",
    method: "get",
    params: query
  });
}

export function getListMenu(query) {
  return axios({
    url: "/udiwms/basic/product/category/selectList",
    method: "post",
    data: query
  });
}

export function uodateBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/product/category/update",
    method: "post",
    data: query
  });
}

export function saveBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/product/category/save",
    method: "post",
    data: query
  });
}


export function deleteBasicHospType(query) {
  return axios({
    url: "/udiwms/basic/product/category/delect",
    method: "get",
    params: query
  });
}

export function getbindList(query) {
  return axios({
    url: "/udiwms/basic/product/category/bindList",
    method: "get",
    params: query
  });
}

export function deleterel(query) {
  return axios({
    url: "/udiwms/basic/product/category/deleterel",
    method: "get",
    params: query
  });
}









